Bug 451844 - Error during rpm installations
Error during rpm installations
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 15:02 EDT by Cor van Zundert
Modified: 2008-09-08 09:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 17:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cor van Zundert 2008-06-17 15:02:57 EDT
Dear Sir, Madam,

Can you help me to overcome an rpm installation problem
which appears for every product I am trying to install ?

Thanks in advance, Cor van Zundert, The Netherlands.

While trying to install WEBMIN I got the following bugreport:

Component: Software Installer
Summary: TBfa533769 config.py:75:__set__:ValueError: Error parsing '1800\n
[atrpms]\nname=Fedora Core $releasever - $basearch - 
ATrpms\nbaseurl=http://dl.atrpms.net/f$releasever-
$basearch/atrpms/stable\ngpgkey=http://ATrpms.net/RPM-GPG-
KEY.atrpms\ngpgcheck=1': invalid integer value

Traceback (most recent call last):
  File "/usr/sbin/system-install-packages", line 243, in ?
    main()
  File "/usr/sbin/system-install-packages", line 236, in main
    pkginst = SinglePackageInstaller()
  File "/usr/sbin/system-install-packages", line 57, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 132, in 
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 602, in 
readMainConfig
    yumconf.populate(startupconf._parser, 'main')
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 371, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 75, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing '1800\n[atrpms]\nname=Fedora Core $releasever - 
$basearch - ATrpms\nbaseurl=http://dl.atrpms.net/f$releasever-
$basearch/atrpms/stable\ngpgkey=http://ATrpms.net/RPM-GPG-
KEY.atrpms\ngpgcheck=1': invalid integer value

Local variables in innermost frame:
obj: [main]
alwaysprompt: True
assumeyes: False
bandwidth: 0
cachedir: '/var/cache/yum'
commands: []
debuglevel: 2
diskspacecheck: True
distroverpkg: 'redhat-release'
enable_group_conditionals: True
enabled: True
enablegroups: True
errorlevel: 2
exactarch: True
exactarchlist: ['kernel', 'kernel-smp', 'glibc', 'kernel-hugemem', 'kernel-
enterprise', 'kernel-bigmem', 'kernel-devel']
exclude: []
failovermethod: 'roundrobin'
gpgcheck: True
group_package_types: ['mandatory', 'default']
http_caching: 'all'
installonlypkgs: ['kernel', 'kernel-bigmem', 'kernel-enterprise', 'kernel-
smp', 'kernel-modules', 'kernel-debug', 'kernel-unsupported', 'kernel-
source', 'kernel-devel']
installroot: '/'
keepalive: True
keepcache: False
kernelpkgnames: ['kernel', 'kernel-smp', 'kernel-enterprise', 'kernel-
bigmem', 'kernel-BOOT']
logfile: '/var/log/yum.log'
metadata_expire: 1800
obsoletes: False
overwrite_groups: False
pluginconfpath: ['/etc/yum/pluginconf.d']
pluginpath: ['/usr/lib/yum-plugins']
plugins: False
proxy: None
proxy_password: None
proxy_username: None
recent: 7
reposdir: ['/etc/yum/repos.d', '/etc/yum.repos.d']
retries: 10
showdupesfromrepos: False
syslog_facility: 'LOG_DAEMON'
syslog_ident: None
throttle: 0
timeout: 30.0
tolerant: True
tsflags: []
yumversion: 'unversioned'
self: <yum.config.IntOption object at 0x9995f2c>
e: invalid integer value
value: 1800
[atrpms]
name=Fedora Core $releasever - $basearch - ATrpms
baseurl=http://dl.atrpms.net/f$releasever-$basearch/atrpms/stable
gpgkey=http://ATrpms.net/RPM-GPG-KEY.atrpms
gpgcheck=1
Comment 1 Panu Matilainen 2008-06-27 07:48:33 EDT
This is yum, not rpm issue, reassigning... but seems like you have a corrupted
file as atrpms repo (in /etc/yum.repos.d) or such.
Comment 2 Seth Vidal 2008-06-27 08:50:23 EDT
please attach your yum.conf and all of your .repo files from /etc/yum.repos.d/

Comment 3 Cor van Zundert 2008-08-07 17:10:14 EDT
I downloaded the YUM component
and reinstalled it by using rpm -Uvha yum

After reinstallation, it works fine.
Thanks for your help and information !

Cor van Zundert,
The Netherlands.
Comment 4 Jan Hutař 2008-09-08 09:58:03 EDT
Hello, according to comment #3 it was fixed by yum reinstallation, am I right?

Note You need to log in before you can comment on or make changes to this bug.